Posts made by niccah
-
Model2GCode - who would like to continue?
Hello everybody!
Last year, I started the project Model2GCode. The idea was to calculate GCode for milling machines directly in Sketchup.
Unfortunately, I have lots of other stuff to do, so I'm not able to find enough time to continue the project.
Is someone there, who would like to continue the project? You can get everything I have (source code, web domain, literatures about collision detections, etc).
It would be great, if this project keeps free for everyone.
Best regards,
Tobi
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
@joergber said:
Hi Tobi,
thank you for sharing!
Unfortunately I am not able to make it work ...
(I only tried v0.5!)In milling mode 'Surface' I'm getting an error from the Java cmd prompt:
Error: Wrong surface part argument!In milling mode 'Pocket' I'm getting an error from the Java cmd prompt:
Error: 1In milling mode 'Cut out' I'm getting an error from the Java cmd prompt:
Error: Wrong cutout part arguments!And with mouse over the added parts the shown milling options seem to be screwed up ...
The milling options and the milling mode seem to be incorrect.I would really like to make this thing work!!!
Moin,
JΓΆrgHi JΓΆrg!
So, we discussed a lot via email. I would like to "present" the result of our discussion. The problem was: to cutout something, a 3D model is necessary. Just a single plane is not enough. I hope, I can "fix" it in the next version.
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
Today, I released version 0.5 of Model2GCode.
An important change: Now, it is possible to calculate the toolpath in a pocket! I have some ideas to decrease the calculation time further, but they have to be implemented and tested at first! Hint: At the moment, islands are not yes supported!
Have fun with this new version!
Again thanks a lot for all your support! With the help of your feedback I could fix a lot of bugs!
Best regards,
Tobi
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
@ematango said:
Hi,
it looks like a very useful tool, great...!
But I get errors while running "calc. Gcode", I have Java installed, what is missing??Thanks
EmanueleHi Emanuele!
Thanks a lot for your feedback! Which errors exactly you get? One idea: Do you try to use an older project with a newer Model2GCode version? In the new version, it could be, that the arguments for the Java software are different - so, when you try to use an "old" project, there could be wrong arguments saved...
I change the Java code a little bit - in the future, there will be a hint, if Java is not able to handle the arguments.
However, it could be a different bug - so, lets try to solve it!
Best regards,
Tobias
-
RE: Set alpha of a face without material
Oh, okay, this is a nice trick...
I think, I will get a lot of problems, when Sketchup crashes...
What do you think about this idea:
I will create for every face, which has a material != nil a new material => name: face.to_s
To show the faces again, I will remove the materials again... -
RE: Set alpha of a face without material
Now, it works alomost perfectly... I'm able to show / hide the right faces. But I have problems to the save the original material (in case of TIGs idea: "omat").
How I can save the material for ever - means, one should be able to reopen Sketchup and show the faces again...I tried it with "Entity.set_attribute" => but there, I can save just strings... do you have an idea, how I can save the material itself? Or can I save the ID of the material and to show the faces, call the material by its ID again?
Thanks for your help!
-
RE: Add_edges with a LOT of edges
Thanks TIG for your ideas! I tried it several times, to get a statistical result... but there is no time difference between group transforming and entities transforming.
However, I think, there is no chance to decrease the calculation time...
Thanks a again! I could not improve the code, but I learned again a lot...
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
Today, I uploaded version 0.4. The most important point is the significant reduced calculation time.
Both for surface and for cutout calculations, the computation time is reduced.A new feature: "Finishing" in the cutout mode.
For the rest, there are a lot of smaller improvements.
For more detailed information, please have a look to the homepage (http://model2gcode.eu)
This week, I spent lots of time to develope a "Pocket mode". I get a very good result (
), but the calculation time is definitely too long. So, I had a look to some papers to get a much faster algorithm. I found for example "A pair-wise offset algorithm for 2D point-sequence curve". A very nice paper, but I understand this used algorithm not yet to 100 %So, I hope, I can present you the pocket mode in the next few days... I keep you up-to-date!
I would like to thank all the people, who sent me a lot of messages to improve the plugin. Please, don't hesitate to contact me!
Best regards,
Tobias
-
RE: Add_edges with a LOT of edges
I have to push this topic again to the top...
I would like to present my current code, to import some gCode...
` points = Array.new;
while (...)
points << [(xOld.to_f1000).mm, (yOld.to_f1000).mm, (zOld.to_f*1000).mm]
endgroup = entity.entities.add_group
group.entities.add_edges pointsnew_transform = Geom::Transformation.scaling 0.001
group.transformation = new_transform`I'm not realy happy with this method. Sometimes, I have to import 80.000 points and more. So, it takes a loooooooong time, to import this... I tried, to scale just the small points, but it takes exacly the same time...
Do you have an idea, how I can accelerate this gCode importing?
Thanks again for all your help!
-
RE: Set alpha of a face without material
@tig said:
Why are you so set against this obvious [and only practicable] solution?
Thanks TIG for your help! No, I'm not completely against this solution. I just thought, if it is possible to set alpha without any material, it would be great. However, then I have to set a material
I don't like to hide this faces completely, because, I would like to compare this large face and the face behind that...
-
Set alpha of a face without material
When I draw a face, the material of this face is nil.
But how can I set an alpha value without setting a material?
Following situation:
- one large face and something behind that face
- by clicking on a "show / hide" button, this large face should get semi transparent, to see, what's behind
- by clicking it again, the face should get the same color as before.
I would like to avoid, to set at first a material, so set an alpha value. And reverse it again...
Do you have an idea, how I can handle this problem?
Thank you very much for your help!
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
I uploaded a "new" 0.3 version... in the first "0.3" version, there was "0.2" written... so, the Update checker thought, there is an update available...
When you solve this problem, just download the 0.3 version again.
Sorry for this trouble!
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
@dacastror said:
this is very interesting! move from a sketchup model to a model in my hands is something I have long dreamed.
This is a wonderful job!
(google translator)Thanks dacastror! I'm happy to get some feedback! If you have some trouble, please don't hesitate to contact me (here in this forum, or via email, or how ever)
Have fun!
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
I have to release a new version! Due to the help of some friendly people, there could be found a lot of bugs.
Thanks a lot to all these guys / girls!
In the new version, there is also an update check included => there will be a small hint, if there is a new version on the webpage.
I hope, you will enjoy it!
-
RE: [Plugin] Model2GCode V0.5 - released 04.02.13
Now, I released the version V0.2 of the plugin "Model2GCode".
You are able now, to insert bridges for the cutout mode. Just select any faces and add them as "bridges" to the corresponding part in the project list.
A bug in the transformation of the faces is fixed.
For more detailed information, please have a look to the webpage.
Enjoy!
-
[Plugin] Model2GCode V0.5 - released 04.02.13
Hey at all!
I would like to present you the very first release of my new plugin "Model2GCode".
With this plugin, you can create CNC code of a model in Sketchup for your milling machine. At the moment, you should be able to create the code for "surface milling" (3D milling) and for cutouts (2.5D milling). At first, I would like to improve the existing features. In the near future, I will publish more new features (pocket milling for example) step by step.
I created a small webpage for the source code and some more detailed information: http://model2gcode.eu/
Enjoy it!
I'm very looking forward to interested people, who would like to test my plugin. When you find a bug or if you have some ideas for new features, please let me know!
I would like to thank all the people in this forums, who helped me a lot in the last few month!
Best regards,
Tobi
-
RE: Empty groups get deleted?!
@thomthom said:
That's where I ask: why do you need to create the group in advance before you actually make use of it? Seems to me it complicates things a little when you try to fight SketchUp for the group - slapping its wrist using hidden temp geometry.
Okay, let me "answer" with a new question - what can I do else? The user would like to create a project => so, somewhere I have to save this information about the projects (name, options, etc, ..). And the user could create a project and close Sketchup => so, the information about the new project has to be saved somewhere "for ever".
I realy agree, my way is realy complicated...
-
RE: Empty groups get deleted?!
At first! Thank you very much again for all your comments! I'm always learning a lot, "listening" to your discussions!
@thomthom said:
Why not create the group only right before you need to add something to it?
Following idea:
- the user can create a "project" => so, in my code, I create at first an empty group
- all the projects will be listed in a table
- now, the user can add to a single project some "parts"
So, my current problem:
- user create a project, and then he / her starts to draw the "part" => during drawing, the empty project group will be removed by GC...
My hidden line in the groups works perfect! I know, it not realy smart, but...
-
RE: Empty groups get deleted?!
okay, I insert now a small edge and hide the full group... when the user insert his first objects, I delete this line and make the group again visible...
Thanks Aerilius for the hint with the garbage collector!